# Method: projects.locations.zones.interconnects.diagnose

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.DiagnoseInterconnectResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#body.aspect)
- [InterconnectDiagnostics](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#InterconnectDiagnostics)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#InterconnectDiagnostics.SCHEMA_REPRESENTATION)
- [LinkStatus](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkStatus)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkStatus.SCHEMA_REPRESENTATION)
- [LinkLACPStatus](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLACPStatus)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLACPStatus.SCHEMA_REPRESENTATION)
- [State](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#State)
- [LinkLLDPStatus](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLLDPStatus)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLLDPStatus.SCHEMA_REPRESENTATION)
- [PacketCounts](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#PacketCounts)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#PacketCounts.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#try-it)

Get the diagnostics of a single interconnect resource.

### HTTP request

`GET https://edgenetwork.googleapis.com/v1/{name=projects/*/locations/*/zones/*/interconnects/*}:diagnose`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the interconnect resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
DiagnoseInterconnectResponse contains the current diagnostics for a specific interconnect.

| JSON representation |
|---|
| ``` { "updateTime": string, "result": { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#InterconnectDiagnostics`) } } ``` |

| Fields ||
|---|---|
| `updateTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` The time when the interconnect diagnostics was last updated. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `result` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#InterconnectDiagnostics`)`` The network status of a specific interconnect. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## InterconnectDiagnostics

Diagnostics information about interconnect, contains detailed and current technical information about Google's side of the connection.

| JSON representation |
|---|
| ``` { "macAddress": string, "linkLayerAddresses": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/LinkLayerAddress`) } ], "links": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkStatus`) } ] } ``` |

| Fields ||
|---|---|
| `macAddress` | `string` The MAC address of the Interconnect's bundle interface. |
| `linkLayerAddresses[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/LinkLayerAddress`)`` A list of LinkLayerAddress, describing the ip address and corresponding link-layer address of the neighbors for this interconnect. |
| `links[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkStatus`)`` A list of LinkStatus objects, used to describe the status for each link on the Interconnect. |

## LinkStatus

Describing the status for each link on the Interconnect.

| JSON representation |
|---|
| ``` { "circuitId": string, "lacpStatus": { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLACPStatus`) }, "lldpStatuses": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLLDPStatus`) } ], "packetCounts": { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#PacketCounts`) } } ``` |

| Fields ||
|---|---|
| `circuitId` | `string` The unique ID for this link assigned during turn up by Google. |
| `lacpStatus` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLACPStatus`)`` Describing the state of a LACP link. |
| `lldpStatuses[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#LinkLLDPStatus`)`` A list of LinkLLDPStatus objects, used to describe LLDP status of each peer for each link on the Interconnect. |
| `packetCounts` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#PacketCounts`)`` Packet counts specific statistics for this link. |

## LinkLACPStatus

Describing the status of a LACP link.

| JSON representation |
|---|
| ``` { "state": enum (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#State`), "googleSystemId": string, "neighborSystemId": string, "aggregatable": boolean, "collecting": boolean, "distributing": boolean } ``` |

| Fields ||
|---|---|
| `state` | ``enum (`https://docs.cloud.google.com/distributed-cloud/edge/1.5.1/docs/reference/network/rest/v1/projects.locations.zones.interconnects/diagnose#State`)`` The state of a LACP link. |
| `googleSystemId` | `string` System ID of the port on Google's side of the LACP exchange. |
| `neighborSystemId` | `string` System ID of the port on the neighbor's side of the LACP exchange. |
| `aggregatable` | `boolean` A true value indicates that the participant will allow the link to be used as part of the aggregate. A false value indicates the link should be used as an individual link. |
| `collecting` | `boolean` If true, the participant is collecting incoming frames on the link, otherwise false |
| `distributing` | `boolean` When true, the participant is distributing outgoing frames; when false, distribution is disabled |

## State

State enum for LACP link.

| Enums ||
|---|---|
| `UNKNOWN` | The default state indicating state is in unknown state. |
| `ACTIVE` | The link is configured and active within the bundle. |
| `DETACHED` | The link is not configured within the bundle, this means the rest of the object should be empty. |

## LinkLLDPStatus

Describing a LLDP link.

| JSON representation |
|---|
| ``` { "peerSystemName": string, "peerSystemDescription": string, "peerChassisId": string, "peerChassisIdType": string, "peerPortId": string, "peerPortIdType": string } ``` |

| Fields ||
|---|---|
| `peerSystemName` | `string` The peer system's administratively assigned name. |
| `peerSystemDescription` | `string` The textual description of the network entity of LLDP peer. |
| `peerChassisId` | `string` The peer chassis component of the endpoint identifier associated with the transmitting LLDP agent. |
| `peerChassisIdType` | `string` The format and source of the peer chassis identifier string. |
| `peerPortId` | `string` The port component of the endpoint identifier associated with the transmitting LLDP agent. If the specified port is an IEEE 802.3 Repeater port, then this TLV is optional. |
| `peerPortIdType` | `string` The format and source of the peer port identifier string. |

## PacketCounts

Containing a collection of interface-related statistics objects.

| JSON representation |
|---|
| ``` { "inboundUnicast": string, "inboundErrors": string, "inboundDiscards": string, "outboundUnicast": string, "outboundErrors": string, "outboundDiscards": string } ``` |

| Fields ||
|---|---|
| `inboundUnicast` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of packets that are delivered. |
| `inboundErrors` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of inbound packets that contained errors. |
| `inboundDiscards` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of inbound packets that were chosen to be discarded even though no errors had been detected to prevent their being deliverable. |
| `outboundUnicast` | `string (https://developers.google.com/discovery/v1/type-format format)` The total number of packets that are requested be transmitted. |
| `outboundErrors` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of outbound packets that could not be transmitted because of errors. |
| `outboundDiscards` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of outbound packets that were chosen to be discarded even though no errors had been detected to prevent their being transmitted. |